Page MenuHomePhabricator

Change wbcheckconstraints’ status parameter’s default value to cacheable value
Closed, ResolvedPublic

Description

As outlined in T183927#3894206, while the initial default value of the status parameter of the wbcheckconstraints action is the backwards-compatible '*', we want to do the breaking change to switch it to violation|warning|bad-parameters soon.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.Jan 15 2018, 5:17 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 5:17 PM

This doesn’t feel like something that should be configurable in the extension, so I really don’t feel like going through the whole dance of adding a configuration variable, changing its value in wmf-config, changing its default value, and finally removing it from wmf-config again. Instead, I’d like to do this as a simple code change.

Proposed timeline: On Wednesday, Wikidata moves forward on the deployment train. On Thursday or Friday, we merge a code change that changes the default value for status into master. On Monday, assuming nothing bad happened to the train, we backport that onto the currently deployed branch during SWAT. And next Wednesday, the train moves forward again and includes the non-backported version of the change. This way, we can promise users a single date when this breaking change will happen even if the train has to be stopped or reverted (in which case we just go back from the non-backported version to the backported version, but both branches still contain the change).

@Ladsgroup does that sound okay? (Note that we haven’t announced the breaking change yet – if we do that next Monday, then the above events could happen 2018-02-21–2018-02-28, but we might also need to wait a week longer.)

The merge can happen after the branch cut in Wednesday or late Tuesday, there is no need to do it after Wikidata goes to the new branch. I'm fine with the whole idea :)

Okay! Then let’s say we do this around 2018-02-21–2018-02-28, and put Monday 2018-02-26 in the announcement.

Change 414705 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Change status parameter default to cacheable value

https://gerrit.wikimedia.org/r/414705

Change 414705 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Change status parameter default to cacheable value

https://gerrit.wikimedia.org/r/414705

Change 414714 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.22] Change status parameter default to cacheable value

https://gerrit.wikimedia.org/r/414714

Change 414714 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.31.0-wmf.22] Change status parameter default to cacheable value

https://gerrit.wikimedia.org/r/414714

Mentioned in SAL (#wikimedia-operations) [2018-02-26T19:46:39Z] <catrope@tin> Synchronized php-1.31.0-wmf.22/extensions/WikibaseQualityConstraints/: T184937 (duration: 01m 03s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Feb 26 2018, 8:20 PM